from fastapi import FastAPI, Request
from datetime import datetime
from pathlib import Path
import json

app = FastAPI()

DATA_DIR = Path("data")
DATA_FILE = DATA_DIR / "data.json"

# Ensure the data directory exists
DATA_DIR.mkdir(exist_ok=True)

@app.post("/submit")
async def submit_data(request: Request):
    payload = await request.json()

    # Initialize data file if it doesn't exist
    if not DATA_FILE.exists():
        with open(DATA_FILE, "w") as f:
            json.dump([], f)

    with open(DATA_FILE, "r+", encoding="utf-8") as f:
        existing_data = json.load(f)
        existing_data.append({
            "timestamp": datetime.now().isoformat(),
            "data": payload
        })
        f.seek(0)
        json.dump(existing_data, f, indent=4)

    return {"message": "Data saved successfully"}

